import 'dart:async';
import 'package:debounce/debounce.dart';

main() {
  var controller  = new StreamController();
  var transformer = new Debounce(new Duration(seconds: 5));
  var debounced   = controller.stream.transform(transformer);

  // print the debounced events
  debounced.listen(print);

  // push a new event every second
  new Timer.periodic(new Duration(seconds: 1), (_) {
    controller.add("Streams are awesome!!!");
  });
}